Use with "ř" in his name together with all e-mail notification triggers 404 on issues

2014-02-06 16:22 - Company QFix Solutions s.r.o.

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.2

Description

I'm seeing an issue when where issues which are visible and readable to all start returning error 404 not found when ALL of these

conditions are met:

user has diacritics in his name "Veřmiřovský", but it seems that I can trigger this by any name which contains "ř" ("r" with Czech

accent)

user is expanded in an issue comment from the from of Scott Posch . Interesting that pressing "preview" shows the comment

correctly, but hitting "save" shows a green message that save was successful. But the bug is not visible (404 not found). If I go

into the DB (journals, find the comment, change the text to some other existing user or remove it), bug is again visibile.

user selects that he wants to be notified for all events on all his projects. Switching the notification "owner of issues only" or "no

events" makes this go away

Turning off e-mail notifications has no effect, I also tried sendmail delivery and SMTP with TLS. Still the same.

I tried creating a new, fresh account - didn't help.

production.log snipped with logging level turned to debug (look for "Missing template, responding with 404" which seems to be the

issue).

Started GET "/issues/949" for 83.208.254.184 at Thu Feb 06 16:09:08 +0100 2014

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"949"}

   (37.4ms)  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings` 

  User Load (0.5ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser

') AND `users`.`status` = 1 AND `users`.`id` = 4 LIMIT 1

  Current user: purposly.removed (id=4)

  Issue Load (0.6ms)  SELECT `issues`.* FROM `issues` WHERE `issues`.`id` = 949 LIMIT 1

  Project Load (0.4ms)  SELECT `projects`.* FROM `projects` WHERE `projects`.`id` = 4 LIMIT 1

  SQL (0.4ms)  SELECT `enabled_modules`.`name` FROM `enabled_modules` WHERE `enabled_modules`.`pro

ject_id` = 4

  TimeEntry Load (0.7ms)  SELECT `time_entries`.* FROM `time_entries` WHERE `time_entries`.`issue_

id` = 949 ORDER BY time_entries.spent_on DESC

  Journal Load (0.6ms)  SELECT `journals`.* FROM `journals` WHERE `journals`.`journalized_id` = 94

9 AND `journals`.`journalized_type` = 'Issue' ORDER BY journals.id ASC

  User Load (0.4ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser

') AND `users`.`id` IN (4, 2)

  JournalDetail Load (0.4ms)  SELECT `journal_details`.* FROM `journal_details` WHERE `journal_det

ails`.`journal_id` IN (3568, 3578)

  UserPreference Load (0.4ms)  SELECT `user_preferences`.* FROM `user_preferences` WHERE `user_pre

ferences`.`user_id` = 4 LIMIT 1

  SQL (1.5ms)  SELECT `changesets`.`id` AS t0_r0, `changesets`.`repository_id` AS t0_r1, `changese

ts`.`revision` AS t0_r2, `changesets`.`committer` AS t0_r3, `changesets`.`committed_on` AS t0_r4, 

`changesets`.`comments` AS t0_r5, `changesets`.`commit_date` AS t0_r6, `changesets`.`scmid` AS t0_

r7, `changesets`.`user_id` AS t0_r8, `repositories`.`id` AS t1_r0, `repositories`.`project_id` AS 

t1_r1, `repositories`.`url` AS t1_r2, `repositories`.`login` AS t1_r3, `repositories`.`password` A

S t1_r4, `repositories`.`root_url` AS t1_r5, `repositories`.`type` AS t1_r6, `repositories`.`path_

encoding` AS t1_r7, `repositories`.`log_encoding` AS t1_r8, `repositories`.`extra_info` AS t1_r9, 

`repositories`.`identifier` AS t1_r10, `repositories`.`is_default` AS t1_r11, `repositories`.`crea

ted_on` AS t1_r12, `projects`.`id` AS t2_r0, `projects`.`name` AS t2_r1, `projects`.`description` 

AS t2_r2, `projects`.`homepage` AS t2_r3, `projects`.`is_public` AS t2_r4, `projects`.`parent_id` 

AS t2_r5, `projects`.`created_on` AS t2_r6, `projects`.`updated_on` AS t2_r7, `projects`.`identifi

er` AS t2_r8, `projects`.`status` AS t2_r9, `projects`.`lft` AS t2_r10, `projects`.`rgt` AS t2_r11
, `projects`.`inherit_members` AS t2_r12 FROM `changesets` LEFT OUTER JOIN `repositories` ON `repo

sitories`.`id` = `changesets`.`repository_id` LEFT OUTER JOIN `projects` ON `projects`.`id` = `rep

ositories`.`project_id` INNER JOIN `changesets_issues` ON `changesets`.`id` = `changesets_issues`.

`changeset_id` WHERE `changesets_issues`.`issue_id` = 949 AND (projects.status <> 9 AND projects.i

d IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='repository')) ORDER BY changeset

s.committed_on ASC, changesets.id ASC

  IssueRelation Load (0.6ms)  SELECT `issue_relations`.* FROM `issue_relations` WHERE `issue_relat

ions`.`issue_from_id` = 949

  IssueRelation Load (0.3ms)  SELECT `issue_relations`.* FROM `issue_relations` WHERE `issue_relat

ions`.`issue_to_id` = 949

  IssueStatus Load (0.3ms)  SELECT `issue_statuses`.* FROM `issue_statuses` WHERE `issue_statuses`

.`id` = 1 LIMIT 1

  SQL (0.4ms)  SELECT `users`.id FROM `users` INNER JOIN `groups_users` ON `users`.`id` = `groups_

users`.`group_id` WHERE `users`.`type` IN ('Group') AND `groups_users`.`user_id` = 4

  Role Load (373.7ms)  SELECT `roles`.* FROM `roles` 

  Tracker Load (0.5ms)  SELECT `trackers`.* FROM `trackers` WHERE `trackers`.`id` = 1 LIMIT 1

  User Load (0.4ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser

') AND `users`.`id` = 2 LIMIT 1

  WorkflowTransition Load (1.0ms)  SELECT `workflows`.* FROM `workflows` WHERE `workflows`.`type` 

IN ('WorkflowTransition') AND `workflows`.`old_status_id` = 1 AND (role_id IN (1,2,3,4,5,6) AND tr

acker_id = 1 AND ((author = 0 AND assignee = 0)))

  IssueStatus Load (0.7ms)  SELECT `issue_statuses`.* FROM `issue_statuses` WHERE `issue_statuses`

.`id` IN (5, 2, 4, 10, 9, 7, 8)

  TimeEntryActivity Load (20.6ms)  SELECT `enumerations`.* FROM `enumerations` WHERE `enumerations

`.`type` IN ('TimeEntryActivity') AND `enumerations`.`is_default` = 1 ORDER BY enumerations.positi

on ASC LIMIT 1

  IssueQuery Load (0.8ms)  SELECT `queries`.* FROM `queries` WHERE `queries`.`type` IN ('IssueQuer

y') AND `queries`.`id` = 28 LIMIT 1

  IssueCustomField Load (0.4ms)  SELECT `custom_fields`.* FROM `custom_fields` WHERE `custom_field

s`.`type` IN ('IssueCustomField')

  Tracker Load (0.3ms)  SELECT `trackers`.* FROM `trackers` ORDER BY trackers.position ASC

  Project Load (12.3ms)  SELECT `projects`.* FROM `projects` WHERE (projects.status <> 9)

  Principal Load (22.5ms)  SELECT DISTINCT `users`.* FROM `users` INNER JOIN `members` ON `members

`.`user_id` = `users`.`id` WHERE `users`.`status` = 1 AND (members.project_id IN (1,3,4,5,6,7,8,9,

10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41))

  SQL (0.5ms)  SELECT `versions`.`id` AS t0_r0, `versions`.`project_id` AS t0_r1, `versions`.`name

` AS t0_r2, `versions`.`description` AS t0_r3, `versions`.`effective_date` AS t0_r4, `versions`.`c

reated_on` AS t0_r5, `versions`.`updated_on` AS t0_r6, `versions`.`wiki_page_title` AS t0_r7, `ver

sions`.`status` AS t0_r8, `versions`.`sharing` AS t0_r9, `projects`.`id` AS t1_r0, `projects`.`nam

e` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homepage` AS t1_r3, `projects`.`is_pub

lic` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`created_on` AS t1_r6, `projects`.`upda

ted_on` AS t1_r7, `projects`.`identifier` AS t1_r8, `projects`.`status` AS t1_r9, `projects`.`lft`

 AS t1_r10, `projects`.`rgt` AS t1_r11, `projects`.`inherit_members` AS t1_r12 FROM `versions` LEF

T OUTER JOIN `projects` ON `projects`.`id` = `versions`.`project_id` WHERE `versions`.`sharing` = 

'system' AND (projects.status <> 9 AND projects.id IN (SELECT em.project_id FROM enabled_modules e

m WHERE em.name='issue_tracking'))

  IssueStatus Load (29.1ms)  SELECT `issue_statuses`.* FROM `issue_statuses` ORDER BY issue_status

es.position ASC

   (1.2ms)  SELECT COUNT(DISTINCT `members`.`id`) FROM `members` LEFT OUTER JOIN `projects` ON `pr

ojects`.`id` = `members`.`project_id` LEFT OUTER JOIN `member_roles` ON `member_roles`.`member_id`

 = `members`.`id` LEFT OUTER JOIN `roles` ON `roles`.`id` = `member_roles`.`role_id` WHERE `member

s`.`user_id` = 4 AND (projects.status<>9)

  IssuePriority Load (0.7ms)  SELECT `enumerations`.* FROM `enumerations` WHERE `enumerations`.`ty

pe` IN ('IssuePriority') ORDER BY enumerations.position ASC

  Group Load (21.6ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('Group')

  Role Load (0.6ms)  SELECT `roles`.* FROM `roles` WHERE `roles`.`builtin` = 0 ORDER BY roles.posi

tion ASC

  IssueCustomField Load (1.4ms)  SELECT `custom_fields`.* FROM `custom_fields` WHERE `custom_field

s`.`type` IN ('IssueCustomField') AND `custom_fields`.`is_for_all` = 1 AND `custom_fields`.`is_fil

ter` = 1 ORDER BY custom_fields.position ASC

  CustomField Load (0.5ms)  SELECT `custom_fields`.* FROM `custom_fields` WHERE `custom_fields`.`i

s_filter` = 1

  SQL (0.9ms)  SELECT issues.id FROM `issues` INNER JOIN `issue_statuses` ON `issue_statuses`.`id`

 = `issues`.`status_id` INNER JOIN `projects` ON `projects`.`id` = `issues`.`project_id` LEFT OUTE

R JOIN `users` ON `users`.`id` = `issues`.`assigned_to_id` LEFT OUTER JOIN `trackers` ON `trackers

`.`id` = `issues`.`tracker_id` LEFT OUTER JOIN `enumerations` ON `enumerations`.`id` = `issues`.`p

riority_id` AND `enumerations`.`type` IN ('IssuePriority') LEFT OUTER JOIN `issue_categories` ON `
issue_categories`.`id` = `issues`.`category_id` LEFT OUTER JOIN `versions` ON `versions`.`id` = `i

ssues`.`fixed_version_id` WHERE (projects.status <> 9 AND projects.id IN (SELECT em.project_id FRO

M enabled_modules em WHERE em.name='issue_tracking')) AND ((issues.assigned_to_id IN ('15'))) ORDE

R BY projects.name, (CASE WHEN versions.effective_date IS NULL THEN 1 ELSE 0 END), versions.effect

ive_date, versions.name, versions.id, issues.id DESC LIMIT 501

  Watcher Exists (0.7ms)  SELECT 1 AS one FROM `watchers` WHERE `watchers`.`watchable_type` = 'Iss

ue' AND `watchers`.`watchable_id` IN (949) AND `watchers`.`user_id` = 4 LIMIT 1

  Rendered issues/_action_menu.html.erb (7.3ms)

  IssuePriority Load (0.6ms)  SELECT `enumerations`.* FROM `enumerations` WHERE `enumerations`.`ty

pe` IN ('IssuePriority') AND `enumerations`.`id` = 1 ORDER BY enumerations.position ASC LIMIT 1

  CACHE (0.0ms)  SELECT `issue_statuses`.* FROM `issue_statuses` WHERE `issue_statuses`.`id` = 1 L

IMIT 1

  Group Load (0.7ms)  SELECT `users`.* FROM `users` INNER JOIN `groups_users` ON `users`.`id` = `g

roups_users`.`group_id` WHERE `users`.`type` IN ('Group') AND `groups_users`.`user_id` = 4

  Principal Load (0.6ms)  SELECT `users`.* FROM `users` WHERE `users`.`id` = 9 LIMIT 1

  IssueCategory Load (0.4ms)  SELECT `issue_categories`.* FROM `issue_categories` WHERE `issue_cat

egories`.`id` = 8 LIMIT 1

  Version Load (0.3ms)  SELECT `versions`.* FROM `versions` WHERE `versions`.`id` = 50 LIMIT 1

  CACHE (0.0ms)  SELECT `projects`.* FROM `projects` WHERE `projects`.`id` = 4 LIMIT 1

  SQL (149.5ms)  SELECT `enabled_modules`.`name` FROM `enabled_modules` WHERE `enabled_modules`.`p

roject_id` = 4

   (1.1ms)  SELECT SUM(time_entries.hours) AS sum_id FROM `issues` LEFT JOIN time_entries ON time_

entries.issue_id = issues.id WHERE `issues`.`root_id` = 949 AND (`issues`.`lft` >= 1 AND `issues`.

`rgt` <= 2)

  IssueCustomField Load (24.1ms)  SELECT `custom_fields`.* FROM `custom_fields` INNER JOIN `custom

_fields_trackers` ON `custom_fields`.`id` = `custom_fields_trackers`.`custom_field_id` WHERE `cust

om_fields`.`type` IN ('IssueCustomField') AND `custom_fields_trackers`.`tracker_id` = 1

  IssueCustomField Load (15.6ms)  SELECT `custom_fields`.* FROM `custom_fields` WHERE `custom_fiel

ds`.`type` IN ('IssueCustomField') AND (is_for_all = 1 OR id IN (SELECT DISTINCT cfp.custom_field_

id FROM custom_fields_projects cfp WHERE cfp.project_id = 4)) ORDER BY custom_fields.position ASC

  Rendered plugins/timelog_on_issue_page/app/views/hooks/timelog_on_issue_page/issues/_timelog.htm

l.erb (0.1ms)

  Attachment Load (278.4ms)  SELECT `attachments`.* FROM `attachments` WHERE `attachments`.`contai

ner_id` = 949 AND `attachments`.`container_type` = 'Issue' ORDER BY attachments.created_on ASC, at

tachments.id ASC

   (0.9ms)  SELECT mentioned_id FROM mentions WHERE mentioning_type = 'Issue' AND mentioning_id = 

949 ORDER BY mentioned_id

  Rendered issue_relations/_form.html.erb (3.0ms)

  Rendered issues/_relations.html.erb (5.1ms)

  CACHE (0.0ms)  SELECT `enumerations`.* FROM `enumerations` WHERE `enumerations`.`type` IN ('Issu

ePriority') AND `enumerations`.`id` = 1 ORDER BY enumerations.position ASC LIMIT 1

  IssuePriority Load (2.0ms)  SELECT `enumerations`.* FROM `enumerations` WHERE `enumerations`.`ty

pe` IN ('IssuePriority') AND `enumerations`.`id` = 2 ORDER BY enumerations.position ASC LIMIT 1

  CACHE (0.0ms)  SELECT `issues`.* FROM `issues` WHERE `issues`.`id` = 949 LIMIT 1

  CACHE (0.0ms)  SELECT `attachments`.* FROM `attachments` WHERE `attachments`.`container_id` = 94

9 AND `attachments`.`container_type` = 'Issue' ORDER BY attachments.created_on ASC, attachments.id

 ASC

   (0.8ms)  SELECT mentioned_id FROM mentions WHERE mentioning_type = 'Journal' AND mentioning_id 

= 3568 ORDER BY mentioned_id

  CACHE (0.0ms)  SELECT `issues`.* FROM `issues` WHERE `issues`.`id` = 949 LIMIT 1

  CACHE (0.0ms)  SELECT `attachments`.* FROM `attachments` WHERE `attachments`.`container_id` = 94

9 AND `attachments`.`container_type` = 'Issue' ORDER BY attachments.created_on ASC, attachments.id

 ASC

  User Load (0.8ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser

') AND `users`.`id` = 4 LIMIT 1

   (0.6ms)  SELECT mentioned_id FROM mentions WHERE mentioning_type = 'Journal' AND mentioning_id 

= 3578 ORDER BY mentioned_id

   (0.2ms)  BEGIN

  SQL (1.0ms)  INSERT INTO `mentions` (`created_on`, `mentioned_id`, `mentioning_id`, `mentioning_

type`) VALUES ('2014-02-06 08:00:27', 4, 3578, 'Journal')

  Issue Load (11.0ms)  SELECT `issues`.* FROM `issues` WHERE `issues`.`id` = 949 LIMIT 1

  Tracker Load (8.3ms)  SELECT `trackers`.* FROM `trackers` WHERE `trackers`.`id` = 1 LIMIT 1

DEPRECATION WARNING: Mailer.deliver_mention(*args) is deprecated. Use Mailer.mention(*args).delive

r instead. (called from method_missing at /var/www/redmine-2.1/app/models/mailer.rb:442)

  Project Load (18.9ms)  SELECT `projects`.* FROM `projects` WHERE `projects`.`id` = 4 LIMIT 1

   (15.8ms)  ROLLBACK

  Rendered issues/_history.html.erb (360.2ms)
  Rendered issues/show.html.erb within layouts/base (1106.3ms)

Missing template, responding with 404

  Rendered common/error.html.erb within layouts/base (0.2ms)

  Rendered plugins/redmine_repobrowser/app/views/repobrowser/_toolbarmod.erb (0.1ms)

  SQL (334.3ms)  SELECT `members`.`id` AS t0_r0, `members`.`user_id` AS t0_r1, `members`.`project_

id` AS t0_r2, `members`.`created_on` AS t0_r3, `members`.`mail_notification` AS t0_r4, `projects`.

`id` AS t1_r0, `projects`.`name` AS t1_r1, `projects`.`description` AS t1_r2, `projects`.`homepage

` AS t1_r3, `projects`.`is_public` AS t1_r4, `projects`.`parent_id` AS t1_r5, `projects`.`created_

on` AS t1_r6, `projects`.`updated_on` AS t1_r7, `projects`.`identifier` AS t1_r8, `projects`.`stat

us` AS t1_r9, `projects`.`lft` AS t1_r10, `projects`.`rgt` AS t1_r11, `projects`.`inherit_members`

 AS t1_r12, `roles`.`id` AS t2_r0, `roles`.`name` AS t2_r1, `roles`.`position` AS t2_r2, `roles`.`

assignable` AS t2_r3, `roles`.`builtin` AS t2_r4, `roles`.`permissions` AS t2_r5, `roles`.`issues_

visibility` AS t2_r6 FROM `members` LEFT OUTER JOIN `projects` ON `projects`.`id` = `members`.`pro

ject_id` LEFT OUTER JOIN `member_roles` ON `member_roles`.`member_id` = `members`.`id` LEFT OUTER 

JOIN `roles` ON `roles`.`id` = `member_roles`.`role_id` WHERE `members`.`user_id` = 4 AND (project

s.status<>9) ORDER BY projects.name

Completed 404 Not Found in 3223.0ms (Views: 495.8ms | ActiveRecord: 866.7ms)

 ruby script/about

sh: darcs: command not found

sh: hg: command not found

sh: bzr: command not found

Environment:

  Redmine version                2.4.2.stable.12844

  Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

  Rails version                  3.2.16

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  project_overview               1.2.0

  redmine_empstats               0.0.5

  redmine_monitoring_controlling 0.1.1

  redmine_repobrowser            1.3.0

  redmine_spent_time             2.5.0

  timelog_on_issue_page          0.0.1

  wiking                         0.1.0

 I'm using a SVN checkout from stable branch. I ran `bundle update' to make sure it's up to date. No change.

History

#1 - 2014-02-06 18:48 - Jean-Philippe Lang

- Status changed from New to Needs feedback

At least, this warning DEPRECATION WARNING: Mailer.deliver_mention(*args) is deprecated comes from a plugin.

Please retry without any plugins to see if the error still occurs.

#2 - 2014-02-17 18:04 - Company QFix Solutions s.r.o.

Thanks for the quick response!

It turned out to be a combination of plugins not compatible with Ruby/gems 1.8.

After a moderately plainful process of installing software collections with Ruby 1.9, updating Passenger, Redmine 2.4.2 -> 2.4.3, reinstalling all the

gems - the issue went away.

I bet there are more important tasks to do, feel free to close this one as for me it's resolved.

Thanks for the help!

#3 - 2014-02-18 04:30 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

- Resolution set to Invalid
